Loading...
Searching...
No Matches
casacore::FITSGroupWriter Class Reference
fits package (libcasa_fits) » FITS_module

Simplified interface to create and write to FITS random groups. More...

`#include <FITSTable.h>`

## Public Member Functions

| FITSGroupWriter (const String &fileName, const RecordDesc &description, uInt nrows, const Record &extraKeywords, Bool freeOutput=True)
| Since this must always be the first HDU, there is no point in constructing it with a FitsOutput.
| ~FITSGroupWriter ()
RecordInterface & | row ()
| Set the values for the current group.
void | write ()
| Write the current group (row()).
FitsOutput * | writer ()
| Don't delete this out from under us!

## Private Member Functions

| FITSGroupWriter ()
| Undefined and inaccessible.
| FITSGroupWriter (const FITSGroupWriter &)
FITSGroupWriter & | operator= (const FITSGroupWriter &)
void | check_error (const char *extra_info=0)
| Checks error status of writer_p and group_p.

## Private Attributes

Bool | delete_writer_p
FitsOutput * | writer_p
uInt | nrows_written_p
uInt | nrows_total_p
PrimaryGroup< Float > * | group_p
Record | row_p
Int | error_count_p

## Detailed Description

Simplified interface to create and write to FITS random groups.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- General knowledge of FITS binary and ASCII tables.

### Etymology

### Synopsis

Like FITSTableWriter except that this must be the first HDU and all "columns" in the description must have the same type, i.e. float.

### Example

### Motivation

### To Do

- probably much

Definition at line 440 of file FITSTable.h.

## Constructor & Destructor Documentation

## FITSGroupWriter() [1/3]

casacore::FITSGroupWriter::FITSGroupWriter | ( | const String & | fileName,
|  | const RecordDesc & | description,
|  | uInt | nrows,
|  | const Record & | extraKeywords,
|  | Bool | freeOutput = True )

Since this must always be the first HDU, there is no point in constructing it with a FitsOutput.

description indicates the names of the random groups parameters. nrows is a synonym for ngroups. Use extraKeywords to indicate any keywords not automatically created (SIMPLE, BITPIX, NAXIS*, EXTEND, BLOCKED, GROUPS, PCOUNT, GOUNT, ORIGIN, END). If freeOutput is True, file will be deleted by the destructor. You might not want this to happen if you are going to write any extensions to the same fits file. You can get the FitsOutput used here from write()

References casacore::description(), casacore::Record(), and casacore::True.

Referenced by FITSGroupWriter(), and operator=().

## ~FITSGroupWriter()

casacore::FITSGroupWriter::~FITSGroupWriter | ( |  | ) |

## FITSGroupWriter() [2/3]

casacore::FITSGroupWriter::FITSGroupWriter | ( |  | ) |

private

Undefined and inaccessible.

## FITSGroupWriter() [3/3]

casacore::FITSGroupWriter::FITSGroupWriter | ( | const FITSGroupWriter & |  | ) |

private

References FITSGroupWriter().

## Member Function Documentation

## check_error()

void casacore::FITSGroupWriter::check_error | ( | const char * | extra_info = 0 | ) |

private

Checks error status of writer_p and group_p.

Cleans up and throws an exception if bad.

## operator=()

FITSGroupWriter & casacore::FITSGroupWriter::operator= | ( | const FITSGroupWriter & |  | ) |

private

References FITSGroupWriter().

## row()

RecordInterface & casacore::FITSGroupWriter::row | ( |  | ) |

inline

Set the values for the current group.

Definition at line 460 of file FITSTable.h.

References casacore::RecordInterface(), and row_p.

## write()

void casacore::FITSGroupWriter::write | ( |  | ) |

Write the current group (row()).

## writer()

FitsOutput * casacore::FITSGroupWriter::writer | ( |  | ) |

inline

Don't delete this out from under us!

Definition at line 466 of file FITSTable.h.

References writer_p.

## Member Data Documentation

## delete_writer_p

Bool casacore::FITSGroupWriter::delete_writer_p

private

Definition at line 473 of file FITSTable.h.

## error_count_p

Int casacore::FITSGroupWriter::error_count_p

private

Definition at line 478 of file FITSTable.h.

## group_p

PrimaryGroup<Float>* casacore::FITSGroupWriter::group_p

private

Definition at line 476 of file FITSTable.h.

## nrows_total_p

uInt casacore::FITSGroupWriter::nrows_total_p

private

Definition at line 475 of file FITSTable.h.

## nrows_written_p

uInt casacore::FITSGroupWriter::nrows_written_p

private

Definition at line 475 of file FITSTable.h.

## row_p

Record casacore::FITSGroupWriter::row_p

private

Definition at line 477 of file FITSTable.h.

Referenced by row().

## writer_p

FitsOutput* casacore::FITSGroupWriter::writer_p

private

Definition at line 474 of file FITSTable.h.

Referenced by writer().

The documentation for this class was generated from the following file:

- fits/FITS/FITSTable.h